package alleElemente;

import com.windowtester.runtime.swing.locator.JMenuItemLocator;
import com.windowtester.runtime.swing.UITestCaseSwing;
import com.windowtester.runtime.IUIContext;
import com.windowtester.runtime.swing.locator.LabeledTextLocator;
import com.windowtester.runtime.swing.locator.JComboBoxLocator;
import com.windowtester.runtime.swing.locator.JRadioButtonLocator;
import com.windowtester.runtime.swing.locator.JCheckBoxLocator;
import com.windowtester.runtime.swing.locator.JButtonLocator;
import com.windowtester.runtime.swing.locator.JToggleButtonLocator;
import com.windowtester.runtime.swing.locator.JTextComponentLocator;

import javax.swing.JEditorPane;
import javax.swing.JTextArea;
import javax.swing.JTextPane;
import com.windowtester.runtime.swing.locator.NamedWidgetLocator;
import com.windowtester.runtime.swing.locator.JListLocator;
import java.awt.event.InputEvent;
import java.awt.Point;
import com.windowtester.runtime.swing.locator.JTableItemLocator;
import com.windowtester.runtime.swing.locator.JTreeItemLocator;
import com.windowtester.runtime.swing.condition.WindowDisposedCondition;

public class TestAlleElemente extends UITestCaseSwing {

	/**
	 * Create an Instance
	 */
	public TestAlleElemente() {
		super(alleElemente.AlleElemente.class);
	}

	/**
	 * Main test method.
	 */
	public void testTestAlleElemente() throws Exception {
		IUIContext ui = getUI();
		ui.click(new JMenuItemLocator("Datei/Beenden"));
		ui.click(new LabeledTextLocator("JTextField:"));
		ui.enterText("Test");
		ui.click(new JComboBoxLocator("zwei"));
		ui.click(new JRadioButtonLocator("eins"));
		ui.click(new JCheckBoxLocator("Check eins"));
		ui.click(new JCheckBoxLocator("Check zwei"));
		ui.click(new JButtonLocator("Klick mich!"));
		ui.click(new JToggleButtonLocator("Toggle me!"));
		ui.click(new JTextComponentLocator(JTextArea.class));
		ui.enterText("Hallo Welt");
		ui.click(new LabeledTextLocator("JFormattedTextField:"));
		ui.enterText("Test");
		ui.click(new LabeledTextLocator("JPasswordField:"));
		ui.enterText("TopSecret");
		ui.click(new JTextComponentLocator(JTextPane.class));
		ui.enterText("Dies ist ein Text.");
		// WARNING: unsupported widget selection ignored - Widget Selection
		// event: null
		ui.click(new NamedWidgetLocator(JEditorPane.class, "editorPane"));
		// ui.enterText("Test Pane");
		ui.enterText("Test");
		ui.click(new NamedWidgetLocator("Spinner.nextButton"));
		ui.click(new NamedWidgetLocator("Spinner.nextButton"));
		ui.click(new NamedWidgetLocator("Spinner.nextButton"));
		ui.click(new NamedWidgetLocator("Spinner.nextButton"));
		ui.click(new NamedWidgetLocator("Spinner.nextButton"));
		ui.click(new JListLocator("eins"));
		ui.click(1, new JListLocator("drei"), InputEvent.BUTTON1_MASK
				| InputEvent.CTRL_MASK);
		ui.click(2, new JTableItemLocator(new Point(0, 0)),
				InputEvent.BUTTON1_MASK);
		ui.enterText("eins");
		ui.click(2, new JTableItemLocator(new Point(0, 1)),
				InputEvent.BUTTON1_MASK);
		ui.enterText("zwei");
		ui.click(2, new JTableItemLocator(new Point(1, 0)),
				InputEvent.BUTTON1_MASK);
		ui.enterText("1");
		ui.click(2, new JTableItemLocator(new Point(1, 1)),
				InputEvent.BUTTON1_MASK);
		ui.enterText("2");
		ui.click(new JTableItemLocator(new Point(0, 3)));
		ui.click(2, new JTableItemLocator(new Point(1, 3)),
				InputEvent.BUTTON1_MASK);
		ui.enterText("4");
		ui.click(new JTreeItemLocator("JTree/colors/blue"));
		ui.click(new JButtonLocator("", 0, new NamedWidgetLocator("")));
		ui.click(new JButtonLocator("", 0, new NamedWidgetLocator("")));
		ui.click(new JButtonLocator("", 0, new NamedWidgetLocator("")));
		ui.click(new JButtonLocator("", 0, new NamedWidgetLocator("")));
		ui.click(new JButtonLocator("", 0, new NamedWidgetLocator("")));
		ui.wait(new WindowDisposedCondition("Java Elemente"));
	}

}