package alleElemente;

import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.JComboBox;
import javax.swing.JButton;
import javax.swing.JCheckBox;
import javax.swing.JRadioButton;
import javax.swing.JToggleButton;
import javax.swing.JTextArea;
import javax.swing.JFormattedTextField;
import javax.swing.JPasswordField;
import javax.swing.JTextPane;
import javax.swing.JEditorPane;
import javax.swing.JSpinner;
import javax.swing.JList;
import javax.swing.JTable;
import javax.swing.AbstractListModel;
import javax.swing.JTree;
import javax.swing.JProgressBar;
import javax.swing.JScrollBar;
import javax.swing.JSeparator;
import javax.swing.JSlider;
import net.miginfocom.swing.MigLayout;
import javax.swing.ButtonGroup;
import javax.swing.DefaultComboBoxModel;
import javax.swing.table.DefaultTableModel;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.JMenu;

public class AlleElemente {

	private JFrame frmJavaElemente;
	private JTextField textField;
	private final ButtonGroup buttonGroup = new ButtonGroup();
	private JPasswordField passwordField;
	private JTable table;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					AlleElemente window = new AlleElemente();
					window.frmJavaElemente.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the application.
	 */
	public AlleElemente() {
		initialize();
	}

	/**
	 * Initialize the contents of the frame.
	 */
	private void initialize() {
		frmJavaElemente = new JFrame();
		frmJavaElemente.setTitle("Java Elemente");
		frmJavaElemente.setBounds(100, 100, 550, 600);
		frmJavaElemente.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frmJavaElemente
				.getContentPane()
				.setLayout(
						new MigLayout("", "[][grow]",
								"[][][][][][][][grow][][][grow][grow][][grow][grow][grow][][][11.00]"));

		JLabel lblJlabel = new JLabel("JLabel:");
		frmJavaElemente.getContentPane()
				.add(lblJlabel, "cell 0 0,alignx right");

		JLabel lblIchBinEin = new JLabel("Ich bin ein JLabel");
		frmJavaElemente.getContentPane().add(lblIchBinEin, "cell 1 0");

		JLabel lblJtextfield = new JLabel("JTextField:");
		frmJavaElemente.getContentPane().add(lblJtextfield,
				"cell 0 1,alignx right");

		textField = new JTextField();
		frmJavaElemente.getContentPane().add(textField, "cell 1 1,growx");
		textField.setColumns(10);

		JLabel lblJcombobox = new JLabel("JComboBox:");
		frmJavaElemente.getContentPane().add(lblJcombobox,
				"cell 0 2,alignx right");

		JComboBox comboBox = new JComboBox();
		comboBox.setModel(new DefaultComboBoxModel(new String[] { "eins",
				"zwei", "drei" }));
		frmJavaElemente.getContentPane().add(comboBox, "cell 1 2,growx");

		JLabel lblJradiobutton = new JLabel("JRadioButton:");
		frmJavaElemente.getContentPane().add(lblJradiobutton,
				"cell 0 3,alignx right");

		JRadioButton rdbtnEins = new JRadioButton("eins");
		buttonGroup.add(rdbtnEins);
		frmJavaElemente.getContentPane().add(rdbtnEins, "flowx,cell 1 3");

		JLabel lblJcheckbox = new JLabel("JCheckBox:");
		frmJavaElemente.getContentPane().add(lblJcheckbox,
				"cell 0 4,alignx right");

		JCheckBox chckbxCheckEins = new JCheckBox("Check eins");
		frmJavaElemente.getContentPane().add(chckbxCheckEins, "flowx,cell 1 4");

		JLabel lblJbutton = new JLabel("JButton:");
		frmJavaElemente.getContentPane().add(lblJbutton,
				"cell 0 5,alignx right");

		JRadioButton rdbtnZwei_1 = new JRadioButton("zwei");
		buttonGroup.add(rdbtnZwei_1);
		frmJavaElemente.getContentPane().add(rdbtnZwei_1, "cell 1 3");

		JRadioButton rdbtnZwei = new JRadioButton("drei");
		buttonGroup.add(rdbtnZwei);
		frmJavaElemente.getContentPane().add(rdbtnZwei, "cell 1 3");

		JCheckBox chckbxCheckZwei = new JCheckBox("Check zwei");
		frmJavaElemente.getContentPane().add(chckbxCheckZwei, "cell 1 4");

		JButton btnKlickMich = new JButton("Klick mich!");
		frmJavaElemente.getContentPane().add(btnKlickMich, "cell 1 5");

		JLabel lblJtogglebutton = new JLabel("JToggleButton:");
		frmJavaElemente.getContentPane().add(lblJtogglebutton,
				"cell 0 6,alignx right");

		JToggleButton tglbtnToggleMe = new JToggleButton("Toggle me!");
		frmJavaElemente.getContentPane().add(tglbtnToggleMe, "cell 1 6");

		JLabel lblJtextarea = new JLabel("JTextArea:");
		frmJavaElemente.getContentPane().add(lblJtextarea,
				"cell 0 7,alignx right");

		JTextArea textArea = new JTextArea();
		frmJavaElemente.getContentPane().add(textArea, "cell 1 7,grow");

		JLabel lblJformattedtextfield = new JLabel("JFormattedTextField:");
		frmJavaElemente.getContentPane().add(lblJformattedtextfield,
				"cell 0 8,alignx right");

		JFormattedTextField formattedTextField = new JFormattedTextField();
		frmJavaElemente.getContentPane().add(formattedTextField,
				"cell 1 8,growx");

		JLabel lblJpasswordfield = new JLabel("JPasswordField:");
		frmJavaElemente.getContentPane().add(lblJpasswordfield,
				"cell 0 9,alignx right");

		passwordField = new JPasswordField();
		frmJavaElemente.getContentPane().add(passwordField, "cell 1 9,growx");

		JLabel lblJtextpane = new JLabel("JTextPane:");
		frmJavaElemente.getContentPane().add(lblJtextpane,
				"cell 0 10,alignx right");

		JTextPane textPane = new JTextPane();
		frmJavaElemente.getContentPane().add(textPane, "cell 1 10,grow");

		JLabel lblJeditorpane = new JLabel("JEditorPane:");
		frmJavaElemente.getContentPane().add(lblJeditorpane,
				"cell 0 11,alignx right");

		JEditorPane editorPane = new JEditorPane();
		editorPane.setName("editorPane");
		frmJavaElemente.getContentPane().add(editorPane, "cell 1 11,grow");

		JLabel lblJspinner = new JLabel("JSpinner:");
		frmJavaElemente.getContentPane().add(lblJspinner,
				"cell 0 12,alignx right");

		JSpinner spinner = new JSpinner();
		frmJavaElemente.getContentPane().add(spinner, "cell 1 12");

		JLabel lblJlist = new JLabel("JList:");
		frmJavaElemente.getContentPane()
				.add(lblJlist, "cell 0 13,alignx right");

		JList list = new JList();
		list.setModel(new AbstractListModel() {
			private static final long serialVersionUID = -5291553444645443640L;
			String[] values = new String[] { "eins", "zwei", "drei" };

			public int getSize() {
				return values.length;
			}

			public Object getElementAt(int index) {
				return values[index];
			}
		});
		frmJavaElemente.getContentPane().add(list, "cell 1 13,grow");

		JLabel lblJtable = new JLabel("JTable:");
		frmJavaElemente.getContentPane().add(lblJtable,
				"cell 0 14,alignx right");

		table = new JTable();
		table.setModel(new DefaultTableModel(new Object[][] {
				{ null, null, null, null, null },
				{ null, null, null, null, null }, }, new String[] {
				"New column", "New column", "New column", "New column",
				"New column" }));
		frmJavaElemente.getContentPane().add(table, "cell 1 14,grow");

		JLabel lblJlist_1 = new JLabel("JTree:");
		frmJavaElemente.getContentPane().add(lblJlist_1,
				"cell 0 15,alignx right");

		JTree tree = new JTree();
		frmJavaElemente.getContentPane().add(tree, "cell 1 15,grow");

		JLabel lblJprogressbar = new JLabel("JProgressBar:");
		frmJavaElemente.getContentPane().add(lblJprogressbar,
				"cell 0 16,alignx right");

		JProgressBar progressBar = new JProgressBar();
		progressBar.setName("");
		progressBar.setValue(50);
		frmJavaElemente.getContentPane().add(progressBar, "cell 1 16");

		JLabel lblJsc = new JLabel("JScrollBar:");
		frmJavaElemente.getContentPane().add(lblJsc, "cell 0 17,alignx right");

		JScrollBar scrollBar = new JScrollBar();
		scrollBar.setName("");
		scrollBar.setValue(50);
		scrollBar.setOrientation(JScrollBar.HORIZONTAL);
		frmJavaElemente.getContentPane().add(scrollBar, "cell 1 17");

		JLabel lblJslider = new JLabel("JSlider:");
		frmJavaElemente.getContentPane().add(lblJslider,
				"cell 0 18,alignx right");

		JSeparator separator = new JSeparator();
		frmJavaElemente.getContentPane().add(separator, "flowx,cell 1 18");

		JSlider slider = new JSlider();
		frmJavaElemente.getContentPane().add(slider, "cell 1 18");

		JMenuBar menuBar = new JMenuBar();
		frmJavaElemente.setJMenuBar(menuBar);

		JMenu mnDatei = new JMenu("Datei");
		menuBar.add(mnDatei);

		JMenuItem mntmBeenden = new JMenuItem("Beenden");
		mnDatei.add(mntmBeenden);
	}
}
