package multiWindow;

import com.windowtester.runtime.swing.locator.JButtonLocator;
import com.windowtester.runtime.swing.UITestCaseSwing;
import com.windowtester.runtime.IUIContext;
import com.windowtester.runtime.swing.condition.WindowShowingCondition;
import com.windowtester.runtime.swing.locator.NamedWidgetLocator;
import com.windowtester.runtime.swing.condition.WindowDisposedCondition;

public class TestWindow extends UITestCaseSwing {

	/**
	 * Create an Instance
	 */
	public TestWindow() {
		super(multiWindow.Fenster1.class);
	}

	/**
	 * Main test method.
	 */
	public void testTestWindow() throws Exception {
		//Versuch zwischen Fenstern zu wechseln, dieser Test wurde mit dem Recorder aufgezeichnet
		IUIContext ui = getUI();
		ui.click(new JButtonLocator("Fenster 2"));
		ui.wait(new WindowShowingCondition("F2"));
		ui.click(new NamedWidgetLocator("nameF1"));
		ui.click(new NamedWidgetLocator("frame0"));
		ui.wait(new WindowDisposedCondition("F1"));
	}

}