package portoRechner;

public class Calculator {
	private int weight;
	private int lenght;
	private int height;
	private int deep;
	private boolean express;
	private boolean nachname;

	public Calculator(int weight, int lenght, int height, int deep,
			boolean express, boolean nachname) {
		this.weight = weight;
		this.lenght = lenght;
		this.height = height;
		this.deep = deep;
		this.express = express;
		this.nachname = nachname;
	}

	public double calc() {
		double porto = 0.0;

		if (this.lenght > 150 || this.height > 150 || this.deep > 150
				|| this.weight == 0) { // Kantenlnge darf nicht lnger als
										// 150mm sein
			porto = Double.NaN;
			return porto;
		}

		if (this.weight == 5) {
			porto = 6.0;
		} else if (this.weight == 10) {
			porto = 8.0;
		} else if (this.weight == 15) {
			porto = 10.0;
		}

		if (this.express) {
			porto += 8.50;
		}

		if (this.nachname) {
			porto += 3.0;
		}

		if (this.lenght > 100 || this.height > 100 || this.deep > 100) {
			porto += 2.0;
		}

		return porto;
	}
}
